Bug 547111 - SELinux is preventing /usr/bin/updatedb "read" access on 2.0.0.0__b03f5f7f11d50a3a.
Summary: SELinux is preventing /usr/bin/updatedb "read" access on 2.0.0.0__b03f5f7f11d...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:59cd8a9addc...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-13 16:35 UTC by Brad
Modified: 2010-02-07 09:06 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-22 20:42:32 UTC
Type: ---


Attachments (Terms of Use)

Description Brad 2009-12-13 16:35:32 UTC
Summary:

SELinux is preventing /usr/bin/updatedb "read" access on
2.0.0.0__b03f5f7f11d50a3a.

Detailed Description:

SELinux denied access requested by updatedb. It is not expected that this access
is required by updatedb and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:locate_t:s0-s0:c0.c1023
Target Context                system_u:object_r:fusefs_t:s0
Target Objects                2.0.0.0__b03f5f7f11d50a3a [ lnk_file ]
Source                        updatedb
Source Path                   /usr/bin/updatedb
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           mlocate-0.22.2-1.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-55.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.31.6-162.fc12.i686.PAE #1 SMP Fri Dec 4
                              00:43:59 EST 2009 i686 i686
Alert Count                   2
First Seen                    Sat 12 Dec 2009 03:14:55 AM EST
Last Seen                     Sat 12 Dec 2009 03:14:56 AM EST
Local ID                      24b526cc-7d9f-418f-aac4-d27855b4a67a
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1260605696.79:84): avc:  denied  { read } for  pid=4728 comm="updatedb" name="2.0.0.0__b03f5f7f11d50a3a" dev=sda1 ino=10261 scontext=system_u:system_r:locate_t:s0-s0:c0.c1023 tcontext=system_u:object_r:fusefs_t:s0 tclass=lnk_file

node=(removed) type=SYSCALL msg=audit(1260605696.79:84): arch=40000003 syscall=12 success=no exit=-13 a0=872b391 a1=8000 a2=bf8ada14 a3=bf8ad830 items=0 ppid=4722 pid=4728 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=10 comm="updatedb" exe="/usr/bin/updatedb" subj=system_u:system_r:locate_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  selinux-policy-3.6.32-55.fc12,catchall,updatedb,locate_t,fusefs_t,lnk_file,read
audit2allow suggests:

#============= locate_t ==============
allow locate_t fusefs_t:lnk_file read;

Comment 1 Brad 2009-12-13 16:38:34 UTC
I'm not even sure what the object is that is mislabeled.  I expect a file path, not "2.0.0.0__b03f5f7f11d50a3a".

Comment 2 Daniel Walsh 2009-12-14 12:23:50 UTC
You can add these rules for now using

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Fixed in selinux-policy-3.6.32-59.fc12.noarch

Comment 3 Fedora Update System 2009-12-16 13:55:28 UTC
selinux-policy-3.6.32-59.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-59.fc12

Comment 4 Fedora Update System 2009-12-18 04:43:37 UTC
selinux-policy-3.6.32-59.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13384


Note You need to log in before you can comment on or make changes to this bug.